package com.zcloud.modules.feedback.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.feedback.entity.BusFeedbackReplyEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author wangpeng
 * @Desc 意见反馈-回复表(BusFeedbackReply)表服务接口
 * @Date 2024-03-30 15:20:00
 */
public interface BusFeedbackReplyService extends IService<BusFeedbackReplyEntity> {

    BusFeedbackReplyEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusFeedbackReplyEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    void saveFeedbackReply(BusFeedbackReplyEntity param) throws Exception;

    /**
     * 通过主键删除数据
     */
    void delete(String feedbackReplyId,String userId);

}
